PIX-BW
1
BRL-CAD
BRL-CAD

# pix-bw

combine pix color planes into a bw black and white image

      pix-bw

        -s squaresize

         -w width
         -n height

        -e ntsc|crt

         -R r_weight
         -G g_weight
         -B b_weight
       in.pix
       >
       out.bw

## DESCRIPTION

Pix-bw will combine or select the color planes of a pix 5 format file from its standard input and produce a black and white bw 5 file on its standard output. By default all three colors are weighted equally. The `-e` type flag can be used to specify a standard weighting scheme

The type choices include:

ntsc

  weighting used is based on the NTSC primaries and the D6500 alignment white.

crt

  weighting scheme used will be for "typical" CRT phosphor chromaticities and the D6500 white

Individual color plane(s) can be selected via the `-R1.0 -G1.0` and `-B1.0` options If one or more of these flags is followed by a value, the value will be treated as a weight to be applied to that color.

If 0 is supplied by the user for weights, then the weights assigned are 1.0 divided by the number of colors selected.

## EXAMPLES

pix-bw -R0.0 -B0.0 < file.pix > file.bw will equally blend the red and blue color planes.

pix-bw -R0.30 -G0.59 -B0.11 < file.pix > file.bw has the same effect as the `-ntsc` flag. [The `-crt` weights are: 0.26, 0.66, 0.08]

## SEE ALSO

brlcad 1, pix-bw3 1, bw-pix 1, pix 5, bw 5.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.